For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • GETGet rentable items for an applicant
        • POSTCreate Applicant: Entrata
        • PUTUpdate Applicant: Entrata
        • POSTCreate Applicant Files: Entrata
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataApplicants

Get all applicants

GET
/v1/applicants/
GET
/v1/applicants/
$curl https://api.propexo.com/v1/applicants/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "customer321",
18 "x_property_id": "property987",
19 "x_lead_id": null,
20 "x_unit_id_preferred": [
21 "123",
22 "456"
23 ],
24 "address_1_alternate": "456 Oak St",
25 "address_1": "123 Main St",
26 "address_2_alternate": null,
27 "address_2": null,
28 "applications": [
29 {
30 "applicant_id": "clxkw4hlh0000t3oz7dwh0wum",
31 "application_id": "clxkw4nbk0002t3ozbf008763",
32 "status_raw": "pending",
33 "status_normalized": "PENDING",
34 "custom_data": {},
35 "status": "string"
36 }
37 ],
38 "city_alternate": "Shelbyville",
39 "city": "Springfield",
40 "country_alternate": "US",
41 "country": "US",
42 "custom_data": {},
43 "date_of_birth": "1980-01-01",
44 "email_1": "example@example.com",
45 "email_2": null,
46 "first_name": "John",
47 "last_name": "Doe",
48 "middle_name": "Michael",
49 "notes": null,
50 "phone_1_type": "HOME",
51 "phone_1": "(123) 456-7890",
52 "phone_2_type": "MOBILE",
53 "phone_2": "(098) 765-4321",
54 "state_alternate": "MO",
55 "state": "IL",
56 "type_normalized": "SECONDARY",
57 "type_raw": "Co-Applicant",
58 "zip_alternate": "62705",
59 "zip": "62704",
60 "pets": [
61 {
62 "id": "clwktsp9v000008l31iv218hn",
63 "created_at": "2024-03-21T15:38:08.337Z",
64 "updated_at": "2024-03-22T10:59:45.119Z",
65 "last_seen": "2024-03-22T10:59:45.119Z",
66 "x_id": "68",
67 "age_in_years": 3,
68 "breed": "Pit Bull",
69 "color": "Pink",
70 "gender_raw": null,
71 "is_declawed": null,
72 "is_fixed": null,
73 "is_service_animal": null,
74 "is_trained": null,
75 "is_vaccinated": null,
76 "name": "Air Bud",
77 "notes": "He's scary",
78 "type": "Dog",
79 "weight_in_pounds": 200,
80 "custom_data": {}
81 }
82 ],
83 "integration_id": "clwh5u07w000508me66sfh3um",
84 "integration_vendor": "ENTRATA",
85 "property_id": "clwi5xiix000008l6ctdgafyh",
86 "unit_id_preferred": [
87 "testintegration:1:123",
88 "testintegration:1:456"
89 ],
90 "screenings": [
91 {
92 "id": "clwktsp9v000008l31iv218hn",
93 "created_at": "2024-03-21T15:38:08.337Z",
94 "last_seen": "2024-03-22T10:59:45.119Z",
95 "x_id": "7b825f6fe0992387a658c96cf23d49d50d66cc3ee01bdb37e9a6cec7699961fd",
96 "status_raw": "Fail",
97 "screening_date": null
98 }
99 ],
100 "x_unit_id": "string",
101 "x_lease_id": "string",
102 "self_reported_income": [
103 {
104 "amount_in_cents": 325000,
105 "amount_raw": "string",
106 "type_normalized": "SECONDARY",
107 "type_raw": "Co-Applicant"
108 }
109 ]
110 }
111 ]
112}
Get all applicants
Was this page helpful?
Previous

Get an applicant by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
email_1stringOptional
The primary email address associated with the applicant
phone_1stringOptionalformat: "^[2-9]\d{9}$"

Filter by phone number (10 digit format only)

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error